Starmade | Sun/Star Heat damages astronaut in a ship's core even when ship isn't taking damage.
Closed, FinishedPublic


#1 original report

I just played the new .1837 and found this bug.

On approach toward a star inside a ship's core my astronaut began taking damage. No warnings abut the ship's hull taking damage or anything else. This was around my home base and I wouldn't normally have taken SHIP damage at this distance. Moreover I needed to go to a completely different sector to shake off the damage effect. The second time I tried to land on my base I had to turn around again, but wasn't able to clear the sector in time and so died....

This can't be the intended behavior can it? My ship should have been affected as well, but it wasn't. And besides my ship should have protected me, right? This is a nasty bug guys.


Ship stays intact, pilot dies slowly when in control of ship.


Testing Results
Affected Gamemode(s)
Single and Multi
Last tested (version)
Issue Type
First occurrence (version)
Video Card Vendor
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
SmilingDemon changed Category from none/unspecified to Engine.
SmilingDemon changed Affected Gamemode(s) from none/unspecified to Single and Multi.
SmilingDemon set First occurrence (version) to 0.1837.
SmilingDemon changed Reproducible from uncertain to Yes.
SmilingDemon set Last tested (version) to 0.19273 (Dev).
SmilingDemon edited a custom field.
SmilingDemon edited Serverconfig (server.cfg). (Show Details)
SmilingDemon edited Clientconfig (settings.cfg). (Show Details)
SmilingDemon changed the task status from "Open" to "In Queue (Game)".
SmilingDemon added a subscriber: SmilingDemon.
AndyP changed the title from " Sun/Star Heat damages astronaut in a ship's core even when ship isn't taking damage. " to "Sun/Star Heat damages astronaut in a ship's core even when ship isn't taking damage. ".Aug 11 2015, 11:05 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
lancake changed Last tested (version) from 0.19273 (Dev) to 0.19439 (Dev).Oct 2 2015, 8:38 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Jan 29 2016, 10:50 PM
schema added a subscriber: schema.
SmilingDemon closed this task as "Closed".Jan 29 2016, 11:41 PM

-QA Testing-

wrecked a ship while flying towards a sun without the pilot being damaged
pilot gets harmed when outside the core and the ship is taking damage from a sun

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptJan 29 2016, 11:41 PM
SmilingDemon changed Last tested (version) from 0.19439 (Dev) to 0.19553(Dev).Jan 29 2016, 11:42 PM

Add Comment